# Uses of Class
org.apache.lucene.index.ByteVectorValues

Packages that use ByteVectorValues
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util.quantization
Provides quantization methods for scaling vector values to smaller data types and possibly fewer dimensions

## Uses of ByteVectorValues in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return ByteVectorValues
Modifier and Type
Method
Description
`abstract ByteVectorValues`
KnnVectorsReader.`getByteVectorValues(String field)`
Returns the `ByteVectorValues` for the given `field`.
`static ByteVectorValues`
KnnVectorsWriter.MergedVectorValues.`mergeByteVectorValues(FieldInfo fieldInfo, MergeState mergeState)`
Returns a merged view over all the segment's `ByteVectorValues`.
Methods in org.apache.lucene.codecs with parameters of type ByteVectorValues
Modifier and Type
Method
Description
`protected abstract void`
BufferingKnnVectorsWriter.`writeField(FieldInfo fieldInfo, ByteVectorValues byteVectorValues, int maxDoc)`
Write the provided byte vector field

## Uses of ByteVectorValues in org.apache.lucene.codecs.lucene95

Subclasses of ByteVectorValues in org.apache.lucene.codecs.lucene95
Modifier and Type
Class
Description
`class`
`OffHeapByteVectorValues`
Read the vector values from the index input.
`static class`
`OffHeapByteVectorValues.DenseOffHeapVectorValues`
Dense vector values that are stored off-heap.

## Uses of ByteVectorValues in org.apache.lucene.codecs.lucene99

Subclasses of ByteVectorValues in org.apache.lucene.codecs.lucene99
Modifier and Type
Class
Description
`class`
`OffHeapQuantizedByteVectorValues`
Read the quantized vector values and their score correction values from the index input.
`static class`
`OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`
Dense vector values that are stored off-heap.
Methods in org.apache.lucene.codecs.lucene99 that return ByteVectorValues
Modifier and Type
Method
Description
`ByteVectorValues`
Lucene99FlatVectorsReader.`getByteVectorValues(String field)`
`ByteVectorValues`
Lucene99HnswVectorsReader.`getByteVectorValues(String field)`
`ByteVectorValues`
Lucene99ScalarQuantizedVectorsReader.`getByteVectorValues(String field)`

## Uses of ByteVectorValues in org.apache.lucene.codecs.perfield

Methods in org.apache.lucene.codecs.perfield that return ByteVectorValues
Modifier and Type
Method
Description
`ByteVectorValues`
PerFieldKnnVectorsFormat.FieldsReader.`getByteVectorValues(String field)`

## Uses of ByteVectorValues in org.apache.lucene.index

Methods in org.apache.lucene.index that return ByteVectorValues
Modifier and Type
Method
Description
`abstract ByteVectorValues`
ByteVectorValues.`copy()`
`static ByteVectorValues`
ByteVectorValues.`fromBytes(List<byte[]> vectors, int dim)`
Creates a `ByteVectorValues` from a list of byte arrays.
`final ByteVectorValues`
CodecReader.`getByteVectorValues(String field)`
`ByteVectorValues`
ExitableDirectoryReader.ExitableFilterAtomicReader.`getByteVectorValues(String field)`
`ByteVectorValues`
FilterLeafReader.`getByteVectorValues(String field)`
`abstract ByteVectorValues`
LeafReader.`getByteVectorValues(String field)`
Returns `ByteVectorValues` for this field, or null if no `ByteVectorValues` were indexed.
`ByteVectorValues`
ParallelLeafReader.`getByteVectorValues(String fieldName)`

## Uses of ByteVectorValues in org.apache.lucene.util.quantization

Subclasses of ByteVectorValues in org.apache.lucene.util.quantization
Modifier and Type
Class
Description
`class`
`QuantizedByteVectorValues`
A version of `ByteVectorValues`, but additionally retrieving score correction offset for Scalar quantization scores.